%define upstream_name    Dist-Zilla-Plugin-Test-Compile
%define upstream_version 2.058

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Common tests to check syntax of your modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Check) >= 0.11.0
BuildRequires: perl(CPAN::Meta::Requirements)
BuildRequires: perl(Data::Section) >= 0.4.0
BuildRequires: perl(Dist::Zilla) >= 4.300.39
BuildRequires: perl(Dist::Zilla::Dist::Builder)
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::FileFinderUser)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::pushd) >= 1.4.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::CoreList) >= 2.770.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Perl::PrereqScanner) >= 1.16.0
BuildRequires: perl(Sub::Exporter::ForMethods)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::MinimumVersion)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Warnings) >= 0.9.0
BuildRequires: perl(if)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following files:

* t/00-compile.t - a standard test to check syntax of bundled modules

This test will find all modules and scripts in your dist, and try to
compile them one by one. This means it's a bit slower than loading them all
at once, but it will catch more errors.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.58.0-5.mga10
+ Revision: 2203726
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 2.58.0-4.mga9
+ Revision: 1809063
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.58.0-3.mga8
+ Revision: 1504165
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.58.0-2.mga7
+ Revision: 1283341
- Mageia 7 Mass Rebuild

* Sun Dec 24 2017 tv <tv> 2.58.0-1.mga7
+ Revision: 1184399
- update to 2.058

* Wed Oct 04 2017 tv <tv> 2.57.0-1.mga7
+ Revision: 1168376
- update to 2.057

* Sun Jun 19 2016 pterjan <pterjan> 2.54.0-3.mga6
+ Revision: 1026590
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2.54.0-2.mga6
+ Revision: 969350
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 2.54.0-1.mga6
+ Revision: 868446
- update to 2.054

* Sun Jul 05 2015 sander85 <sander85> 2.53.0-1.mga6
+ Revision: 850957
- update to 2.053

* Wed Oct 15 2014 umeabot <umeabot> 2.46.0-3.mga5
+ Revision: 741453
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Aug 21 2014 sander85 <sander85> 2.46.0-1.mga5
+ Revision: 666163
- update to 2.046

* Thu Aug 07 2014 sander85 <sander85> 2.45.0-1.mga5
+ Revision: 660573
- update to 2.045

* Sun Aug 03 2014 sander85 <sander85> 2.44.0-1.mga5
+ Revision: 659430
- update to 2.044

* Sat Jun 14 2014 sander85 <sander85> 2.43.0-1.mga5
+ Revision: 636055
- update to 2.043

* Wed Jun 04 2014 sander85 <sander85> 2.42.0-1.mga5
+ Revision: 633116
- update to 2.042

* Sat May 17 2014 sander85 <sander85> 2.40.0-1.mga5
+ Revision: 623260
- update to 2.040

* Tue Feb 04 2014 shlomif <shlomif> 2.39.0-1.mga5
+ Revision: 581140
- New version

* Tue Oct 22 2013 umeabot <umeabot> 2.36.0-2.mga4
+ Revision: 542265
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 2.36.0-1.mga4
+ Revision: 497157
- update to 2.036

* Sun Oct 06 2013 sander85 <sander85> 2.34.0-1.mga4
+ Revision: 492200
- update to 2.034

* Wed Sep 25 2013 sander85 <sander85> 2.33.0-1.mga4
+ Revision: 486306
- update to 2.033

* Wed Sep 11 2013 sander85 <sander85> 2.30.0-1.mga4
+ Revision: 477562
- update to 2.030

* Tue Sep 10 2013 sander85 <sander85> 2.29.0-1.mga4
+ Revision: 477097
- update to 2.029

* Sun Sep 08 2013 sander85 <sander85> 2.27.0-2.mga4
+ Revision: 476377
- Doesn't provide Dist::Zilla::Plugin::CompileTests anymore

* Sun Sep 08 2013 sander85 <sander85> 2.27.0-1.mga4
+ Revision: 476293
- update to 2.027

* Sat Sep 07 2013 sander85 <sander85> 2.25.0-1.mga4
+ Revision: 475582
- update to 2.025

* Sun Aug 04 2013 sander85 <sander85> 2.18.0-1.mga4
+ Revision: 463409
- update to 2.018

* Thu Aug 01 2013 sander85 <sander85> 2.14.0-1.mga4
+ Revision: 462149
- update to 2.014

* Wed Jul 31 2013 sander85 <sander85> 2.13.0-1.mga4
+ Revision: 461485
- update to 2.013

* Mon Jul 29 2013 sander85 <sander85> 2.11.0-1.mga4
+ Revision: 460374
- update to 2.011

* Sat Jul 27 2013 sander85 <sander85> 2.10.0-1.mga4
+ Revision: 459076
- update to 2.010

* Fri Jun 07 2013 jquelin <jquelin> 2.2.0-1.mga4
+ Revision: 439092
- update to 2.002

* Sun Jan 13 2013 umeabot <umeabot> 1.112.820-2.mga3
+ Revision: 366458
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 13 2011 jquelin <jquelin> 1.112.820-1.mga2
+ Revision: 154281
- update to 1.112820

* Mon Aug 29 2011 jquelin <jquelin> 1.112.400-2.mga2
+ Revision: 136015
- adding provides: of obsoleted package
- update to 1.112400
- obsoleting previous dist name
- update to 1.112392
- dist renamed upstream
- oops, wrong move
- dist renamed upstream

* Sun Apr 03 2011 jquelin <jquelin> 1.110.930-1.mga1
+ Revision: 80062
- update to 1.110930

* Wed Jan 26 2011 jquelin <jquelin> 1.103.30-1.mga1
+ Revision: 40388
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-CompileTests

